﻿using DGXCEDependingOnField;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Data;

namespace XDGXCEDependingOnField
{
    class ComboSourceConverter : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            string unitCategory = value.ToString();
            if (unitCategory != string.Empty)
            {
                if (unitCategory == "Weight")
                {
                    
                    return ViewModel.WeightUnits;
                    
                }
                else
                {
                    return ViewModel.DistanceUnits;
                }
            }
            return null;
        }

        public object ConvertBack(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            return value;
        }
    }
}
